package com.yonge.cooleshow.biz.dal.dto;

import com.yonge.cooleshow.biz.dal.enums.PeriodEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-08-23
 */
@ApiModel("添加会员")
public class VipSubmitReq {

    @ApiModelProperty("时间数量")
    @NotNull(message = "数量不能为空")
    @Min(value = 1,message = "数量不能小于1")
    private Integer times;

    @ApiModelProperty("时间类型 DAY:天 MONTH:月 ，QUARTERLY : 季度 YEAR_HALF ： 半年 YEAR:年")
    @NotNull(message = "周期不能为空")
    private PeriodEnum type;

    @ApiModelProperty("原因")
    @NotBlank(message = "原因不能为空")
    private String reason;

    @ApiModelProperty("用户id")
    @NotNull(message = "用户id不能为空")
    private Long  userId;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getTimes() {
        return times;
    }

    public void setTimes(Integer times) {
        this.times = times;
    }

    public PeriodEnum getType() {
        return type;
    }

    public void setType(PeriodEnum type) {
        this.type = type;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }
}
